'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.RootContainer = undefined;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultArea = '"header header" "menupanel workspace" "footer footer"';

var RootContainer = /*#__PURE__*/exports.RootContainer = _styledComponents2.default.div.withConfig({
	displayName: 'AppStyles__RootContainer'
})(['display:-ms-grid;-ms-grid-columns:', ';-ms-grid-rows:', ';display:grid;grid-template-areas:', ';grid-template-columns:', ';grid-template-rows:', ';height:', ';width:', ';background-color:', ';'], function (_ref) {
	var theme = _ref.theme;
	return theme.app ? theme.app.gridTemplateColumns ? theme.app.gridTemplateColumns : "max-content 1fr" : "max-content 1fr";
}, function (_ref2) {
	var theme = _ref2.theme;
	return theme.app ? theme.app.gridTemplateRows ? theme.app.gridTemplateRows : 'auto 1fr auto' : 'auto 1fr auto';
}, function (_ref3) {
	var theme = _ref3.theme;
	return theme.app ? theme.app.gridArea ? theme.app.gridArea : defaultArea : defaultArea;
}, function (_ref4) {
	var theme = _ref4.theme;
	return theme.app ? theme.app.gridTemplateColumns ? theme.app.gridTemplateColumns : "max-content 1fr" : "max-content 1fr";
}, function (_ref5) {
	var theme = _ref5.theme;
	return theme.app ? theme.app.gridTemplateRows ? theme.app.gridTemplateRows : 'auto 1fr auto' : 'auto 1fr auto';
}, function (_ref6) {
	var theme = _ref6.theme;
	return theme.app ? theme.app.height ? theme.app.height : '100vh' : '100vh';
}, function (_ref7) {
	var theme = _ref7.theme;
	return theme.app ? theme.app.width ? theme.app.width : '100vw' : '100vw';
}, function (_ref8) {
	var theme = _ref8.theme;
	return theme.workspace.background;
});