'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.LoginCustomForm = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Menu = require('../Menu/Menu');

var _Menu2 = _interopRequireDefault(_Menu);

var _reactRouterDom = require('react-router-dom');

var _LoginDefaultForm = require('./LoginDefaultForm');

var _LoginDefaultForm2 = _interopRequireDefault(_LoginDefaultForm);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LoginForm = function LoginForm(isLoggedIn, login, routeToLogin, label, redirectTo) {
	return isLoggedIn ? _react2.default.createElement(
		_Menu2.default,
		{ icon: 'lock_outline', route: routeToLogin ? routeToLogin : '/login' },
		_react2.default.createElement(_reactRouterDom.Redirect, { to: redirectTo ? redirectTo : '/' })
	) : _react2.default.createElement(
		_Menu2.default,
		{ icon: 'lock_outline', route: routeToLogin ? routeToLogin : '/login', label: label ? label : 'Login' },
		_react2.default.createElement(_LoginDefaultForm2.default, { login: login })
	);
};
var LoginCustomForm = exports.LoginCustomForm = function LoginCustomForm(isLoggedIn, Component, routeToLogin, label, redirectTo) {
	return isLoggedIn ? _react2.default.createElement(
		_Menu2.default,
		{ route: routeToLogin ? routeToLogin : '/login', icon: 'lock_outline' },
		_react2.default.createElement(_reactRouterDom.Redirect, { to: redirectTo ? redirectTo : '/' })
	) : _react2.default.createElement(
		_Menu2.default,
		{ route: routeToLogin ? routeToLogin : '/login', label: label ? label : 'Login', icon: 'lock_outline' },
		_react2.default.createElement(Component, null)
	);
};
exports.default = LoginForm;