'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.Link = exports.StyledFooter = exports.Bold = undefined;

var _templateObject = _taggedTemplateLiteral(['height:40px;'], ['height:40px;']),
    _templateObject2 = _taggedTemplateLiteral(['height:30px;'], ['height:30px;']),
    _templateObject3 = _taggedTemplateLiteral(['height:0px;'], ['height:0px;']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _media = require('../../theme/media');

var _media2 = _interopRequireDefault(_media);

var _Functions = require('../utils/Functions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Bold = /*#__PURE__*/exports.Bold = _styledComponents2.default.b.withConfig({
	displayName: 'FooterStyles__Bold'
})(['font-weight:600;']);
var StyledFooter = /*#__PURE__*/exports.StyledFooter = _styledComponents2.default.div.withConfig({
	displayName: 'FooterStyles__StyledFooter'
})(['-ms-grid-column:', ';-ms-grid-row:', ';-ms-grid-column-span:', ';-ms-grid-row-span:', ';grid-area:footer;display:flex;flex-flow:row nowrap;align-items:center;justify-content:center;height:40px;background:', ';color:', ';-webkit-box-shadow:0 0 3px 0 #ccc;-moz-box-shadow:0 0 3px 0 #ccc;box-shadow:0 0 3px 0 #ccc;color:', ';font-size:13px;font-weight:300;text-align:center;user-select:none;', ' ', ' ', ' ', ''], function (p) {
	return (0, _Functions.rowColCalc)(p.theme.app.gridArea, 'footer', 'column');
}, function (p) {
	return (0, _Functions.rowColCalc)(p.theme.app.gridArea, 'footer', 'row');
}, function (p) {
	var x = (0, _Functions.spanCalc)(p.theme.app.gridArea, 'footer', 'column');return x > 1 ? x : 'none';
}, function (p) {
	var y = (0, _Functions.spanRowCalc)(p.theme.app.gridArea, 'footer');return y > 1 ? y : 'none';
}, function (props) {
	return props.theme.footer.background;
}, function (props) {
	return props.theme.footer.color;
}, function (p) {
	return p.theme.footer ? p.theme.footer.color : '#5e5e5e';
}, _media2.default.giant(_templateObject), _media2.default.desktop(_templateObject), _media2.default.tablet(_templateObject2), _media2.default.phone(_templateObject3));

var Link = /*#__PURE__*/exports.Link = _styledComponents2.default.a.withConfig({
	displayName: 'FooterStyles__Link'
})(['text-decoration:none;align-items:center;justify-content:center;color:inherit;']);