'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.LogoImg = exports.LogoDiv = exports.HeaderContainer = undefined;

var _templateObject = _taggedTemplateLiteral(['height:80px;'], ['height:80px;']),
    _templateObject2 = _taggedTemplateLiteral(['height:60px;'], ['height:60px;']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _media = require('../../theme/media');

var _media2 = _interopRequireDefault(_media);

var _reactRouterDom = require('react-router-dom');

var _Functions = require('../utils/Functions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var HeaderContainer = /*#__PURE__*/exports.HeaderContainer = _styledComponents2.default.div.withConfig({
	displayName: 'HeaderStyles__HeaderContainer'
})(['-ms-grid-column:', ';-ms-grid-row:', ';-ms-grid-column-span:', ';-ms-grid-row-span:', ';grid-area:header;color:#333;display:flex;flex-flow:row nowrap;height:', ';align-items:center;justify-content:', ';background-color:', ';color:', ';', ' ', ' ', ' ', ''], function (p) {
	return (0, _Functions.rowColCalc)(p.theme.app.gridArea, 'header', 'column');
}, function (p) {
	return (0, _Functions.rowColCalc)(p.theme.app.gridArea, 'header', 'row');
}, function (p) {
	var x = (0, _Functions.spanCalc)(p.theme.app.gridArea, 'header', 'column');return x > 1 ? x : 'none';
}, function (p) {
	var x = (0, _Functions.spanRowCalc)(p.theme.app.gridArea, 'header');return x > 1 ? x : 'none';
}, function (props) {
	return props.theme.header.height ? props.theme.header.height : '80px';
}, function (props) {
	return props.SmallScreen ? 'center' : '';
}, function (props) {
	return props.theme.header.background;
}, function (props) {
	return props.theme.header.color;
}, _media2.default.giant(_templateObject), _media2.default.desktop(_templateObject), _media2.default.tablet(_templateObject2), _media2.default.phone(_templateObject2));

var LogoDiv = /*#__PURE__*/exports.LogoDiv = (0, _styledComponents2.default)(_reactRouterDom.Link).withConfig({
	displayName: 'HeaderStyles__LogoDiv'
})(['height:', ';align-self:center;margin:', ';'], function (props) {
	return props.theme.logo.height ? props.theme.logo.height : '35px';
}, function (props) {
	return props.theme.logo.margin ? props.theme.logo.margin : '5px';
});

var LogoImg = /*#__PURE__*/exports.LogoImg = _styledComponents2.default.img.withConfig({
	displayName: 'HeaderStyles__LogoImg'
})(['height:100%;']);